--- wine-0.9.32/server/registry.c	2007-03-29 16:09:32.507970000 +0200
+++ wine-0.9.32/server/registry.c.OLD	2007-03-29 15:48:23.887413000 +0200
@@ -1414,7 +1414,6 @@
 static void load_registry( struct key *key, obj_handle_t handle )
 {
     struct file *file;
-    struct flock lock;
     int fd;
 
     if (!(file = get_file_obj( current->process, handle, FILE_READ_DATA ))) return;
@@ -1422,14 +1421,8 @@
     release_object( file );
     if (fd != -1)
     {
-	/* get shared read lock on the whole file */
-        lock.l_type = F_RDLCK;
-        lock.l_start = 0;
-        lock.l_whence = SEEK_SET;
-        lock.l_len = 0;
-
         FILE *f = fdopen( fd, "r" );
-        if (f && !fcntl(fd, F_SETLKW, &lock))
+        if (f)
         {
             load_keys( key, NULL, f, -1 );
             fclose( f );
@@ -1562,7 +1555,6 @@
 static void save_registry( struct key *key, obj_handle_t handle )
 {
     struct file *file;
-    struct flock lock;
     int fd;
 
     if (key->flags & KEY_DELETED)
@@ -1575,14 +1567,8 @@
     release_object( file );
     if (fd != -1)
     {
-	/* get exclusive write lock on the whole file */
-        lock.l_type = F_WRLCK;
-        lock.l_start = 0;
-        lock.l_whence = SEEK_SET;
-        lock.l_len = 0;
-
         FILE *f = fdopen( fd, "w" );
-        if (f && !fcntl(fd, F_SETLKW, &lock))
+        if (f)
         {
             save_all_subkeys( key, f );
             if (fclose( f )) file_set_error();
